Upstream information

CVE-2016-3176 at MITRE

Description

Salt before 2015.5.10 and 2015.8.x before 2015.8.8, when PAM external authentication is enabled, allows attackers to bypass the configured authentication service by passing an alternate service with a command sent to LocalClient.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 6.8
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None Partial
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.6
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 972436 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 1.0
  • salt >= 2014.1.10-5.6
  • salt-master >= 2014.1.10-5.6
  • salt-minion >= 2014.1.10-5.6
Patchnames:
SUSE-Storage-1.0-2016-789
SUSE Enterprise Storage 2
  • salt >= 2014.1.10-3.1
  • salt-master >= 2014.1.10-3.1
  • salt-minion >= 2014.1.10-3.1
Patchnames:
SUSE-Storage-2-2016-572
SUSE Enterprise Storage 2.1
  • salt >= 2014.1.10-5.1
  • salt-master >= 2014.1.10-5.1
  • salt-minion >= 2014.1.10-5.1
Patchnames:
SUSE-Storage-2.1-2016-573


Status of this issue by product and package

Product(s) Source package State
SUSE Storage 1.0 salt Released
SUSE Storage 2.0 salt Released
SUSE Storage 2.1 salt Released